FORMAX DEVELOPER API
  1. UTI PAN Card API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
      POST
    • Biller List
      POST
    • Bill Fetch
      POST
    • Bill Payment
      POST
    • Transaction Status
      POST
  • Bill Payment V4 API
    • Get All Billers
      GET
    • Get by Category
      GET
    • Get by Biller ID
      GET
    • Bill Fetch
      POST
    • Bill Validation
      POST
    • Bill Payment
      POST
    • Bill Payment Callback
    • Complaint Registration
      POST
    • Complaint Status
      POST
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
      POST
    • PSA Registration Callback
      GET
    • Credentials
      POST
    • Buy Coupon
      POST
    • PAN Coupon Callback Response
      GET
    • Transaction Status
      POST
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • BC Money Transfer
    • Bank List
    • Search Remitter
    • Remitter Registration
    • Remitter Registration Verify
    • Remitter E-KYC
    • Transaction Send OTP
    • Transaction
    • Transaction Status
    • Transaction Refund OTP
    • Transaction Refund
  • UPI Cash Point
    • Generate QR
    • QR Status
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
    • Bank Account Verification
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  • AEPS
    • Bank List
    • Agent Registration
    • Agent E-KYC Status
    • Agent E-KYC
    • Two Factor Auth Status
    • Two Factor Auth
  1. UTI PAN Card API

Buy Coupon

POST
https://api.formaxpay.com/api/utiitsl_pancard/psa/buy_coupon
This API is used to purchase UTIITSL PAN coupons for a registered PSA (PAN Service Agent).
Coupons are required to initiate PAN card applications through UTIITSL services. The wallet amount is debited instantly upon successful purchase.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.formaxpay.com/api/utiitsl_pancard/psa/buy_coupon' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data '{
    "agent_id": "FORMAX01",
    "quantity": "5",
    "p_order_id": "R11059570312501IIRAD"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Transaction Successful",
    "data": {
        "product_name": "UTI PAN COUPON",
        "agent_id": "FORMAX01",
        "quantity": 5,
        "coupon_price": 97,
        "commercial_amount": "50.00",
        "order_id": "R64843750000000HZHLA",
        "p_order_id": "R21543220542160",
        "opening_bal": "1500.00",
        "debit_amount": "485.00",
        "closing_bal": "1015.00",
        "timestamp": "2022-06-22 23:6:41"
    }
}
Modified at 2025-12-24 17:36:21
Previous
Credentials
Next
PAN Coupon Callback Response
Built with